Package: groovy.ui

## [Java] Class ConsoleTextEditor

- groovy.ui.ConsoleTextEditor

-     @Deprecated
      public class ConsoleTextEditor
      extends JScrollPane

  Component which provides a styled editor for the console.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class JScrollPane` | `VIEWPORT, VERTICAL_SCROLLBAR, HORIZONTAL_SCROLLBAR, ROW_HEADER, COLUMN_HEADER, LOWER_LEFT_CORNER, LOWER_RIGHT_CORNER, UPPER_LEFT_CORNER, UPPER_RIGHT_CORNER, LOWER_LEADING_CORNER, LOWER_TRAILING_CORNER, UPPER_LEADING_CORNER, UPPER_TRAILING_CORNER, VERTICAL_SCROLLBAR_POLICY, HORIZONTAL_SCROLLBAR_POLICY, VERTICAL_SCROLLBAR_AS_NEEDED, VERTICAL_SCROLLBAR_NEVER, VERTICAL_SCROLLBAR_ALWAYS, HORIZONTAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_NEVER, HORIZONTAL_SCROLLBAR_ALWAYS, WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ConsoleTextEditor ()` Creates a new instance of ConsoleTextEditor

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `changedUpdate(DocumentEvent documentEvent)`
    `` | `public boolean` | `clipBoardAvailable()`
    `` | `public void` | `enableHighLighter(Class clazz)`
    `` | `public String` | `getDefaultFamily()`
    `` | `public Action` | `getPrintAction()`
    `` | `public Action` | `getRedoAction()`
    `` | `public TextEditor` | `getTextEditor()`
    `` | `public Action` | `getUndoAction()`
    `` | `protected void` | `initActions()`
    `` | `public void` | `insertUpdate(DocumentEvent documentEvent)`
    `` | `public void` | `paintComponent(Graphics g)`
    `` | `public void` | `removeUpdate(DocumentEvent documentEvent)`
    `` | `public void` | `setDefaultFamily(String defaultFamily)`
    `` | `public void` | `setEditable(boolean editable)`
    `` | `public void` | `setShowLineNumbers(boolean showLineNumbers)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JScrollPane` | `getVerticalScrollBarPolicy, setVerticalScrollBarPolicy, getHorizontalScrollBarPolicy, setHorizontalScrollBarPolicy, getViewportBorder, setViewportBorder, getViewportBorderBounds, createHorizontalScrollBar, getHorizontalScrollBar, setHorizontalScrollBar, createVerticalScrollBar, getVerticalScrollBar, setVerticalScrollBar, setViewport, setViewportView, getRowHeader, setRowHeader, setRowHeaderView, getColumnHeader, setColumnHeader, isWheelScrollingEnabled, setWheelScrollingEnabled, isValidateRoot, setLayout, setUI, updateUI, getUIClassID, getUI, getUI, getAccessibleContext, setComponentOrientation, getViewport, setColumnHeaderView, getCorner, setCorner, getBounds, setEnabled, enable, disable, revalidate, setVisible, removeAncestorListener, getAncestorListeners, addNotify, removeNotify, repaint, repaint, isOptimizedDrawingEnabled, paintImmediately, paintImmediately, setDoubleBuffered, isDoubleBuffered, getRootPane, hide, addAncestorListener, firePropertyChange, firePropertyChange, firePropertyChange, getListeners, getClientProperty, setInheritsPopupMenu, getInheritsPopupMenu, setComponentPopupMenu, getComponentPopupMenu, paint, printAll, isPaintingTile, isPaintingForPrint, isManagingFocus, setNextFocusableComponent, getNextFocusableComponent, setRequestFocusEnabled, isRequestFocusEnabled, requestFocus, requestFocus, requestFocusInWindow, grabFocus, setVerifyInputWhenFocusTarget, getVerifyInputWhenFocusTarget, getFontMetrics, setPreferredSize, getPreferredSize, setMaximumSize, getMaximumSize, setMinimumSize, getMinimumSize, setBorder, getBorder, getInsets, getInsets, getAlignmentY, setAlignmentY, getAlignmentX, setAlignmentX, setInputVerifier, getInputVerifier, getGraphics, setDebugGraphicsOptions, getDebugGraphicsOptions, registerKeyboardAction, registerKeyboardAction, unregisterKeyboardAction, getRegisteredKeyStrokes, getConditionForKeyStroke, getActionForKeyStroke, resetKeyboardActions, setInputMap, getInputMap, getInputMap, setActionMap, getActionMap, getBaseline, getBaselineResizeBehavior, requestDefaultFocus, setForeground, setBackground, setFont, getDefaultLocale, setDefaultLocale, setToolTipText, getToolTipText, getToolTipText, getToolTipLocation, getPopupLocation, createToolTip, scrollRectToVisible, setAutoscrolls, getAutoscrolls, setTransferHandler, getTransferHandler, putClientProperty, setFocusTraversalKeys, isLightweightComponent, reshape, getX, getY, getWidth, getHeight, computeVisibleRect, getVisibleRect, addVetoableChangeListener, removeVetoableChangeListener, getVetoableChangeListeners, getTopLevelAncestor, update, contains, getLocation, print, getSize, setOpaque, isOpaque, invalidate, layout, getComponent, isFocusCycleRoot, isFocusCycleRoot, getFocusTraversalPolicy, setFocusTraversalPolicy, countComponents, setComponentZOrder, getComponentZOrder, doLayout, paintComponents, printComponents, addContainerListener, removeContainerListener, getContainerListeners, deliverEvent, getMousePosition, findComponentAt, findComponentAt, isAncestorOf, getFocusTraversalKeys, areFocusTraversalKeysSet, isFocusTraversalPolicySet, setFocusCycleRoot, setFocusTraversalPolicyProvider, isFocusTraversalPolicyProvider, transferFocusDownCycle, applyComponentOrientation, getLayout, getComponents, preferredSize, minimumSize, insets, getComponentCount, getComponentAt, getComponentAt, addPropertyChangeListener, addPropertyChangeListener, add, add, add, add, add, remove, remove, list, list, validate, removeAll, locate, isEnabled, bounds, getBounds, getLocale, enable, handleEvent, isVisible, repaint, repaint, repaint, nextFocus, getForeground, getFont, getTreeLock, getFocusCycleRootAncestor, isDisplayable, isPreferredSizeSet, isMaximumSizeSet, isMinimumSizeSet, getBackground, isLightweight, setBounds, setBounds, getPropertyChangeListeners, getPropertyChangeListeners, isShowing, getMousePosition, getGraphicsConfiguration, isFocusable, isFocusOwner, transferFocus, postEvent, transferFocusBackward, setDropTarget, getDropTarget, getToolkit, enableInputMethods, show, show, isForegroundSet, isBackgroundSet, isFontSet, getColorModel, getLocationOnScreen, setCursor, getCursor, isCursorSet, paintAll, imageUpdate, createImage, createImage, createVolatileImage, createVolatileImage, prepareImage, prepareImage, checkImage, checkImage, setIgnoreRepaint, getIgnoreRepaint, inside, addComponentListener, removeComponentListener, getComponentListeners, addFocusListener, removeFocusListener, getFocusListeners, addHierarchyListener, removeHierarchyListener, getHierarchyListeners, addHierarchyBoundsListener, removeHierarchyBoundsListener, getHierarchyBoundsListeners, addKeyListener, setLocation, setLocation, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, requestFocus, requestFocusInWindow, dispatchEvent, removeKeyListener, getKeyListeners, addMouseListener, removeMouseListener, getMouseListeners, addMouseMotionListener, removeMouseMotionListener, getMouseMotionListeners, addMouseWheelListener, removeMouseWheelListener, getMouseWheelListeners, addInputMethodListener, removeInputMethodListener, getInputMethodListeners, getInputMethodRequests, getInputContext, mouseDown, mouseDrag, mouseUp, mouseMove, mouseEnter, mouseExit, keyDown, keyUp, gotFocus, lostFocus, isFocusTraversable, setFocusable, setFocusTraversalKeysEnabled, getFocusTraversalKeysEnabled, transferFocusUpCycle, hasFocus, getComponentOrientation, setMixingCutoutShape, add, remove, toString, getName, contains, list, list, list, size, getParent, getLocation, setName, action, location, getSize, resize, resize, setSize, setSize, move, setLocale, isValid, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ConsoleTextEditor()

      Creates a new instance of ConsoleTextEditor

  - ### Method Detail

    - #### public void changedUpdate(DocumentEvent documentEvent)

    - #### public boolean clipBoardAvailable()

    - #### public void enableHighLighter(Class clazz)

    - #### public String getDefaultFamily()

    - #### public Action getPrintAction()

    - #### public Action getRedoAction()

    - #### public TextEditor getTextEditor()

    - #### public Action getUndoAction()

    - #### protected void initActions()

    - #### public void insertUpdate(DocumentEvent documentEvent)

    - #### public void paintComponent(Graphics g)

    - #### public void removeUpdate(DocumentEvent documentEvent)

    - #### public void setDefaultFamily(String defaultFamily)

    - #### public void setEditable(boolean editable)

    - #### public void setShowLineNumbers(boolean showLineNumbers)